package com.qmth.paper.library.common.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 学校菜单权限表
 * </p>
 *
 * @author wangliang
 * @since 2021-10-28
 */
@ApiModel(value = "TSchoolPrivilege对象", description = "学校菜单权限表")
public class TSchoolPrivilege implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "学校id不能为空")
    private Long schoolId;

    @ApiModelProperty(value = "菜单权限id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long privilegeId;

    public TSchoolPrivilege() {

    }

    public TSchoolPrivilege(Long schoolId, Long privilegeId) {
        this.schoolId = schoolId;
        this.privilegeId = privilegeId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getPrivilegeId() {
        return privilegeId;
    }

    public void setPrivilegeId(Long privilegeId) {
        this.privilegeId = privilegeId;
    }
}
